org.eclipse.microprofile.metrics.tck.inheritance

## Class InheritedSimplyTimedMethodBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.inheritance.InheritedSimplyTimedMethodBeanTest

    public class InheritedSimplyTimedMethodBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`InheritedSimplyTimedMethodBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callSimplyTimedMethodsOnce()`
`void` `simplyTimedMethodsNotCalledYet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InheritedSimplyTimedMethodBeanTest

    public InheritedSimplyTimedMethodBeanTest()

### Method Detail

#### simplyTimedMethodsNotCalledYet

    @InSequence(value=1)
    public void simplyTimedMethodsNotCalledYet()

#### callSimplyTimedMethodsOnce

    @InSequence(value=2)
    public void callSimplyTimedMethodsOnce()